---
title: "查询所有到店取货信息"
description: "查询到店取货信息，包括到店取货的配置和地址信息"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/query-all-pickup-information'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/query-all-pickup-information.md'
---
# 查询所有到店取货信息

查询到店取货信息，包括到店取货的配置和地址信息

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /pickup/list.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_shipping`

## Request

### Query Parameters

* `language`

  string (optional)

  语言

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `pickup_list`

  array<object>

  到店取货列表

  * `location_address`

    object

    地点信息

    * `address2`

      string

      详细地址2

    * `update_at`

      string

      更新时间(格式见ISO8601）

    * `zip`

      string

      邮编

    * `city`

      string

      城市名

    * `district`

      string

      区县名

    * `phone`

      string

      地址的手机号

    * `active`

      boolean

      地址状态，只会返回启用的地址

    * `city_code`

      string

      城市码，SHOPLINE 内部标识码

    * `create_at`

      string

      创建时间（格式见ISO8601）

    * `town_code`

      string

      街镇码，SHOPLINE 内部标识码

    * `location_seq`

      string

      地址标识，地址唯一编码

    * `priority`

      integer

      地址优先级，越小越前

    * `country_code`

      string

      国家/地区码(ISO 3166-1 alpha-2)

    * `province`

      string

      州省名称

    * `province_code`

      string

      州省码，SHOPLINE 内部标识码

    * `country`

      string

      国家名

    * `district_code`

      string

      区县码，SHOPLINE 内部标识码

    * `address1`

      string

      详细地址

    * `town`

      string

      街镇名

    * `location_name`

      string

      地点名称

  * `pickup_info`

    object

    到店取货配置

    * `create_at`

      string

      创建时间(格式见ISO8601）

    * `location_seq`

      string

      地址标识，地址的唯一编码

    * `pickup_seq`

      string

      到店取货配置的唯一标识

    * `store_id`

      string

      店铺id

    * `support`

      boolean

      是否支持到店取货

    * `update_at`

      string

      更新时间(格式见ISO8601）

    * `appointment_end`

      integer

      预约取货时间区间终止值，单位：分钟

    * `appointment_start`

      integer

      预约取货时间区间起始值，单位：分钟


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询到店取货信息，包括到店取货的配置和地址信息",
  "externalDocs": {
    "description": "接口使用的权限点: `read_shipping` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "fTNRhC3M",
  "parameters": [
    {
      "name": "language",
      "in": "query",
      "description": "语言",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "language",
        "description": "语言",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "pickup_list": {
                "name": "pickup_list",
                "description": "到店取货列表",
                "type": "array",
                "items": {
                  "name": "pickup_list",
                  "description": "到店取货列表",
                  "type": "object",
                  "properties": {
                    "location_address": {
                      "name": "location_address",
                      "description": "地点信息",
                      "type": "object",
                      "properties": {
                        "address2": {
                          "name": "address2",
                          "description": "详细地址2",
                          "type": "string",
                          "example": "智汇园b栋"
                        },
                        "update_at": {
                          "name": "update_at",
                          "description": "更新时间(格式见ISO8601）",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "邮编",
                          "type": "string",
                          "example": "23423"
                        },
                        "city": {
                          "name": "city",
                          "description": "城市名",
                          "type": "string",
                          "example": "广州"
                        },
                        "district": {
                          "name": "district",
                          "description": "区县名",
                          "type": "string",
                          "example": "天河区"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "地址的手机号",
                          "type": "string",
                          "example": "18345678909"
                        },
                        "active": {
                          "name": "active",
                          "description": "地址状态，只会返回启用的地址",
                          "type": "boolean",
                          "example": false
                        },
                        "city_code": {
                          "name": "city_code",
                          "description": "城市码，SHOPLINE 内部标识码",
                          "type": "string",
                          "example": "440100"
                        },
                        "create_at": {
                          "name": "create_at",
                          "description": "创建时间（格式见ISO8601）",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "town_code": {
                          "name": "town_code",
                          "description": "街镇码，SHOPLINE 内部标识码",
                          "type": "string",
                          "example": "345455"
                        },
                        "location_seq": {
                          "name": "location_seq",
                          "description": "地址标识，地址唯一编码",
                          "type": "string",
                          "example": "5663810070280414164"
                        },
                        "priority": {
                          "name": "priority",
                          "description": "地址优先级，越小越前",
                          "type": "integer",
                          "example": 1
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "国家/地区码(ISO 3166-1 alpha-2)",
                          "type": "string",
                          "example": "CN"
                        },
                        "province": {
                          "name": "province",
                          "description": "州省名称",
                          "type": "string",
                          "example": "广东省"
                        },
                        "province_code": {
                          "name": "province_code",
                          "description": "州省码，SHOPLINE 内部标识码",
                          "type": "string",
                          "example": "440000"
                        },
                        "country": {
                          "name": "country",
                          "description": "国家名",
                          "type": "string",
                          "example": "中国"
                        },
                        "district_code": {
                          "name": "district_code",
                          "description": "区县码，SHOPLINE 内部标识码",
                          "type": "string",
                          "example": "440111"
                        },
                        "address1": {
                          "name": "address1",
                          "description": "详细地址",
                          "type": "string",
                          "example": "天河区元岗路63号"
                        },
                        "town": {
                          "name": "town",
                          "description": "街镇名",
                          "type": "string",
                          "example": "新塘镇"
                        },
                        "location_name": {
                          "name": "location_name",
                          "description": "地点名称",
                          "type": "string",
                          "example": "天河区1号店"
                        }
                      },
                      "example": {
                        "create_at": "2019-12-18T06:06:24.942Z",
                        "country_code": "CN",
                        "location_name": "天河区1号店",
                        "town_code": "345455",
                        "zip": "23423",
                        "district": "天河区",
                        "phone": "18345678909",
                        "active": false,
                        "address2": "智汇园b栋",
                        "location_seq": "5663810070280414164",
                        "province_code": "440000",
                        "country": "中国",
                        "update_at": "2019-12-18T06:06:24.942Z",
                        "province": "广东省",
                        "town": "新塘镇",
                        "city": "广州",
                        "city_code": "440100",
                        "district_code": "440111",
                        "priority": 1,
                        "address1": "天河区元岗路63号"
                      }
                    },
                    "pickup_info": {
                      "name": "pickup_info",
                      "description": "到店取货配置",
                      "type": "object",
                      "properties": {
                        "create_at": {
                          "name": "create_at",
                          "description": "创建时间(格式见ISO8601）",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "location_seq": {
                          "name": "location_seq",
                          "description": "地址标识，地址的唯一编码",
                          "type": "string",
                          "example": "5663810070280414164"
                        },
                        "pickup_seq": {
                          "name": "pickup_seq",
                          "description": "到店取货配置的唯一标识",
                          "type": "string",
                          "example": "5664940910825704903"
                        },
                        "store_id": {
                          "name": "store_id",
                          "description": "店铺id",
                          "type": "string",
                          "example": "1635143945022"
                        },
                        "support": {
                          "name": "support",
                          "description": "是否支持到店取货",
                          "type": "boolean",
                          "example": false
                        },
                        "update_at": {
                          "name": "update_at",
                          "description": "更新时间(格式见ISO8601）",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "appointment_end": {
                          "name": "appointment_end",
                          "description": "预约取货时间区间终止值，单位：分钟",
                          "type": "integer",
                          "example": 0
                        },
                        "appointment_start": {
                          "name": "appointment_start",
                          "description": "预约取货时间区间起始值，单位：分钟",
                          "type": "integer",
                          "example": 0
                        }
                      },
                      "example": {
                        "location_seq": "5663810070280414164",
                        "pickup_seq": "5664940910825704903",
                        "store_id": "1635143945022",
                        "support": false,
                        "update_at": "2019-12-18T06:06:24.942Z",
                        "appointment_end": 0,
                        "appointment_start": 0,
                        "create_at": "2019-12-18T06:06:24.942Z"
                      }
                    }
                  },
                  "example": {
                    "location_address": {
                      "town_code": "345455",
                      "city_code": "440100",
                      "province_code": "440000",
                      "zip": "23423",
                      "country_code": "CN",
                      "town": "新塘镇",
                      "active": false,
                      "province": "广东省",
                      "address2": "智汇园b栋",
                      "location_name": "天河区1号店",
                      "district": "天河区",
                      "address1": "天河区元岗路63号",
                      "country": "中国",
                      "location_seq": "5663810070280414164",
                      "priority": 1,
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "district_code": "440111",
                      "city": "广州",
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "phone": "18345678909"
                    },
                    "pickup_info": {
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "location_seq": "5663810070280414164",
                      "pickup_seq": "5664940910825704903",
                      "store_id": "1635143945022",
                      "support": false,
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "appointment_end": 0,
                      "appointment_start": 0
                    }
                  }
                },
                "example": [
                  {
                    "location_address": {
                      "city_code": "440100",
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "town": "新塘镇",
                      "town_code": "345455",
                      "location_name": "天河区1号店",
                      "district": "天河区",
                      "location_seq": "5663810070280414164",
                      "priority": 1,
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "phone": "18345678909",
                      "province": "广东省",
                      "country_code": "CN",
                      "address1": "天河区元岗路63号",
                      "country": "中国",
                      "active": false,
                      "district_code": "440111",
                      "zip": "23423",
                      "address2": "智汇园b栋",
                      "city": "广州",
                      "province_code": "440000"
                    },
                    "pickup_info": {
                      "appointment_end": 0,
                      "appointment_start": 0,
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "location_seq": "5663810070280414164",
                      "pickup_seq": "5664940910825704903",
                      "store_id": "1635143945022",
                      "support": false,
                      "update_at": "2019-12-18T06:06:24.942Z"
                    }
                  }
                ]
              }
            },
            "example": {
              "pickup_list": [
                {
                  "location_address": {
                    "province": "广东省",
                    "city": "广州",
                    "address2": "智汇园b栋",
                    "active": false,
                    "district_code": "440111",
                    "phone": "18345678909",
                    "update_at": "2019-12-18T06:06:24.942Z",
                    "country_code": "CN",
                    "priority": 1,
                    "zip": "23423",
                    "city_code": "440100",
                    "town_code": "345455",
                    "country": "中国",
                    "province_code": "440000",
                    "create_at": "2019-12-18T06:06:24.942Z",
                    "location_name": "天河区1号店",
                    "address1": "天河区元岗路63号",
                    "location_seq": "5663810070280414164",
                    "district": "天河区",
                    "town": "新塘镇"
                  },
                  "pickup_info": {
                    "store_id": "1635143945022",
                    "support": false,
                    "update_at": "2019-12-18T06:06:24.942Z",
                    "appointment_end": 0,
                    "appointment_start": 0,
                    "create_at": "2019-12-18T06:06:24.942Z",
                    "location_seq": "5663810070280414164",
                    "pickup_seq": "5664940910825704903"
                  }
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/pickup/list.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询所有到店取货信息",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_shipping"
  ]
}
```